<?php
// Nome del file di testo dove verranno salvati i messaggi
$file = 'messages.txt';

// Ottieni il contenuto del corpo della richiesta POST
$requestBody = file_get_contents('php://input');

// Decodifica il corpo della richiesta JSON
$json = json_decode($requestBody, true);

// Controlla se il corpo della richiesta contiene il messaggio
if (isset($json['message'])) {
    $message = $json['message'];

    // Decodifica il payload del messaggio (che è in base64)
    $data = base64_decode($message['data']);

    // Aggiungi il timestamp al messaggio
    $formattedMessage = date('Y-m-d H:i:s') . " - " . $data . PHP_EOL;

    // Salva il messaggio nel file di testo
    file_put_contents($file, $formattedMessage, FILE_APPEND);

    // Rispondi con un 200 OK
    http_response_code(200);
    echo 'Message received and saved.';
} else {
    // Rispondi con un 400 Bad Request se il messaggio non è valido
    http_response_code(400);
    echo 'Invalid request: no message found.';
}
?>